from __future__ import with_statement
import sys
from thread import get_ident

try:
    from mext.threads import locks_win as locks
    sys.modules['mext.threads.locks'] = locks
except ImportError:
    pass

from mext.threads.locks import Lock, RLock
from mext.threads.sync import *
from mext.threads.queues import *
from mext.threads.new_thread import Thread

__all__ = [
    'Thread', 'is_main_thread',
    'Lock', 'RLock',
    'Event', 'Future',
    'Queue', #'PriorityQueue', 'LifoQueue', 'Empty',
]


assert Thread.get().name == 'MainThread'
main_thread_id = get_ident()

def is_main_thread():
    return get_ident() == main_thread_id










